com.mysql.cj.protocol

## Interface Protocol.ProtocolEventListener

Enclosing interface:
  Protocol<M extends Message>

    public static interface Protocol.ProtocolEventListener

### Nested Class Summary

Nested Classes
`static class` `Protocol.ProtocolEventListener.EventType`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(Protocol.ProtocolEventListener.EventType type, Object info, Throwable reason)`

### Method Detail

#### handleEvent

    void handleEvent(Protocol.ProtocolEventListener.EventType type,
                     Object info,
                     Throwable reason)

Copyright © 2016, 2023, Oracle and/or its affiliates.